Logout
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
This endpoint is used for users to log out of their accounts on their own. Temporary credentials for logging out of accounts, deleteAccountToken, need to be provided. This parameter needs to be obtained through the Initiate Logout Request interface.
Method name
AuthenticationClient.deleteAccount
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| deleteAccountToken | string | Yes | - | Token for deregistering an account |
Sample code
ts
import { AuthenticationClient, Models } from "authing-node-sdk";
const authenticationClient = new AuthenticationClient({
// Need to be replaced with your GenAuth AppId, Secret and Host
appId: "GEN_AUTH_APP_ID",
appSecret: "GEN_AUTH_APP_SECRET",
appHost: "GEN_AUTH_APP_HOST",
});
(async () => {
// Please call the login interface to obtain access_token first, and call the setAccessToken method to set access_token
authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");
const result = await authenticationClient.deleteAccount({
// Token to cancel the account
deleteAccountToken: "xxxx",
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a IsSuccessDto | Whether the operation is successful |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}Data structure
IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |